AWS AZ
action AZ:EC2

# recover_az

Rolls back the subnet(s) and/or EC2 instances that were affected by the fail_az action

Run it now
View details

Type | action
Module | azchaosaws.ec2.actions
Name | recover_az
Return | bool

This function rolls back the subnet(s) and/or EC2 instances that were affected by the fail_az action to their previous state. This function is dependent on the state data generated from fail_az. Note that instances that are in terminated state will not be ‘rolled’ back.

Usage

JSON

    {
      "name": "recover_az",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "azchaosaws.ec2.actions",
        "func": "recover_az"
      }
    }

YAML

    name: recover_az
    provider:
      func: recover_az
      module: azchaosaws.ec2.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---

Signature

    def recover_az(
        state_path: str = "fail_az.{}.json".format(__package__.split(".", 1)[1]),
        configuration: Configuration = None,
    ) -> bool:
        pass

## Related starters

- Azure
  action AKS

  ## `restart_node`

  Restart a node at random from a managed Azure Kubernetes Service
- AWS
  action CloudWatch

  ## `put_metric_data`

  Publish metric data points to CloudWatch
- Honeycomb
  probe SLO

  ## `slo_has_enough_remaining_budget`

  Verifies that an SLO has enough error budget left